%define name python-module-gammu
%define source_name python-gammu
%define version 0.7
%define release alt1

Summary: Python module to communicate with mobile phones
Name: %name
Version: %version
Release: %release
Source0: %source_name-%version.tar.bz2
License: GPL
Group: Development/Python
Url: http://www.cihar.com/gammu/python
Obsoletes: python-gammu
Requires: libgammu

# Automatically added by buildreq on Sat Apr 02 2005
BuildRequires: glib2 libgammu-devel pkgconfig python-base python-modules-encodings

%setup_python_module python-gammu

%description
This provides Python gammu module, that can work with any phone Gammu
supports - many Nokias, Siemens, Alcatel, ...

%define python_libdir %_libdir/python%__python_version
%define python_site_packages_dir %python_libdir/site-packages

%prep
%setup -q -n %source_name-%version

%build
%__python setup.py build

%install
%__python setup.py install --root %buildroot

%files
%dir %python_site_packages_dir/gammu*
%doc ChangeLog README AUTHORS COPYING NEWS examples

%changelog
* Sat Apr 02 2005 LAKostis <lakostis at altlinux dot ru> 0.7-alt1
- new upstream.

* Tue Mar 29 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.6-alt1.1.1
- Rebuilt with python-2.4.

* Mon Nov 29 2004 LAKostis <lakostis at altlinux dot ru> 0.6-alt1.1
- drop CAL_RECURRANCE from calendar code.
- fix URL

* Fri Sep 17 2004 LAKostis <lakostis at altlinux dot ru> 0.6-alt1
- 0.6
- Update BuildReq

* Sun May 16 2004 LAKostis <lakostis at altlinux dot ru> 0.5-alt1
- 0.5

* Sun Feb 15 2004 LAKostis <lakostis at altlinux dot ru> 0.4-alt1
- initial build for Sisyphus.
